Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.StreamCharBufferWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.StreamCharBufferWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

Enclosing class:
  StreamCharBuffer

    public final class StreamCharBuffer.StreamCharBufferWriter

extends Writer

This is the java.io.Writer implementation for StreamCharBuffer

Author:
  Lari Hotari, Sagire Software Oy

Field Summary
`(package private) boolean` | `closed`
`(package private) boolean` | `increaseCounter`
`(package private) int` | `writerUsedCounter`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`StreamCharBuffer.StreamCharBufferWriter()`

Method Summary
`Writer` | `append(CharSequence csq)`
`Writer` | `append(CharSequence csq, int start, int end)`
`void` | `close()`
`void` | `flush()`
`StreamCharBuffer` | `getBuffer()`
`boolean` | `isClosed()`
`boolean` | `isUsed()`
`void` | `markUsed()`
`int` | `resetUsed()`
`void` | `write(char[] b, int off, int len)`
`void` | `write(int b)`
`void` | `write(StreamCharBuffer subBuffer)`
`void` | `write(String str)`
`void` | `write(String str, int off, int len)`

Methods inherited from class java.io.Writer
`append, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### closed

    boolean closed

### writerUsedCounter

    int writerUsedCounter

### increaseCounter

    boolean increaseCounter

Constructor Detail

### StreamCharBuffer.StreamCharBufferWriter

    public StreamCharBuffer.StreamCharBufferWriter()

Method Detail

### write

    public final void write(char[] b,
                            int off,
                            int len)
                     throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public final void write(String str)
                     throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public final void write(String str,
                            int off,
                            int len)
                     throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public final void write(StreamCharBuffer subBuffer)
                     throws IOException

  Throws:
    `IOException`

### append

    public final Writer append(CharSequence csq,
                               int start,
                               int end)
                        throws IOException

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `Writer`
  Throws:
    `IOException`

### append

    public final Writer append(CharSequence csq)
                        throws IOException

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `Writer`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`
  Throws:
    `IOException`

### isClosed

    public boolean isClosed()

### isUsed

    public boolean isUsed()

### markUsed

    public final void markUsed()

### resetUsed

    public int resetUsed()

### write

    public void write(int b)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `Writer`
  Throws:
    `IOException`

### getBuffer

    public final StreamCharBuffer getBuffer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project